import game, simulation, ui


when isMainModule:
  let config = parseArgs()
  var b: Board
  b.init
  b.setState(config.state, [])
  b.diceRolled = config.diceRolled
  echo b.showSpaces(1, 16)
  let legScores = b.getLegScores
  echo "\nCurrent leg probabilities:"
  echo legScores.showPercents()
  
  let gameScores = b.randomGames(1_000_000)
  echo "\nFull game probabilities (1M simulations):"
  echo gameScores.showPercents()
